/**
 * @file
 * Input pattern behaviors.
 */
(function (Drupal, once) {

  'use strict';

  Drupal.behaviors.inputPatternInputPattern = {
    attach (context, settings) {
      once('input-pattern', '.input-pattern', context).forEach(function (input) {
        let separator = input.getAttribute("separator") || '';
        let step = input.getAttribute("step") || '';
        if ((input.type === "number" || input.type === "tel" || input.type === "text") && separator && step) {
          if (input.type === "number") {
            input.type = 'text';
          }
          input.addEventListener("input", function () {
            let value = input.value.replace(new RegExp(`\\${separator}`, "g"), "");
            if (!isNaN(value) && value !== "") {
              let formattedValue = value.replace(
                new RegExp(`\\B(?=(\\d{${step}})+(?!\\d))`, "g"),
                separator
              );
              input.value = formattedValue;
            }
          });
        }
      });
    }
  };

} (Drupal, once));
